#region Copyright Syncfusion Inc. 2001 - 2005
//
//  Copyright Syncfusion Inc. 2001 - 2005. All rights reserved.
//
//  Use of this code is subject to the terms of our license.
//  A copy of the current license can be obtained at any time by e-mailing
//  licensing@syncfusion.com. Any infringement will be prosecuted under
//  applicable laws. 
//
#endregion

using System;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.IO;
using System.Windows.Forms;
using System.Data;
using System.Windows.Forms.VisualStyles;
using Syncfusion.Runtime.Serialization;
using Syncfusion.Windows.Forms.Tools;

namespace SimpleCode
{
	/// <summary>
	/// Summary description for Form1.
	/// </summary>
	public class Form1 : System.Windows.Forms.Form
    {
        private Syncfusion.Windows.Forms.Tools.DockingManager dockingManager1;
        private Syncfusion.Windows.Forms.Tools.DockingManager dockingManager2;
        private HostContainer hostContainer;
        private TestPanel1 testPanel1;
        private TestPanel2 testPanel2;
        private TestPanel3 testPanel3;
        private TestPanel4 testPanel4;
        private System.Windows.Forms.ImageList ilDocking;
        private MenuStrip menuStrip1;
        private ToolStripMenuItem saveLayoutToolStripMenuItem;
        private ToolStripMenuItem restoreLayoutToolStripMenuItem;
		private System.ComponentModel.IContainer components;

		public Form1()
		{
			//
			// Required for Windows Form Designer support.
			//
			InitializeComponent();

			// The InitalizeDockingWindows method programmatically initializes the DockingManager 
			// and the various dockable controls.
			InitializeDockingWindows();
		}

		/// <summary>
		/// Clean up any resources being used.
		/// </summary>
		protected override void Dispose( bool disposing )
		{
			if( disposing )
			{
				if (components != null) 
				{
					components.Dispose();
				}
			}
			base.Dispose( disposing );
		}

		#region Windows Form Designer generated code
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{
            this.components = new System.ComponentModel.Container( );
            System.ComponentModel.ComponentResourceManager resources = new System.ComponentModel.ComponentResourceManager( typeof( Form1 ) );
            this.ilDocking = new System.Windows.Forms.ImageList( this.components );
            this.menuStrip1 = new System.Windows.Forms.MenuStrip( );
            this.saveLayoutToolStripMenuItem = new System.Windows.Forms.ToolStripMenuItem( );
            this.restoreLayoutToolStripMenuItem = new System.Windows.Forms.ToolStripMenuItem( );
            this.menuStrip1.SuspendLayout( );
            this.SuspendLayout( );
            // 
            // ilDocking
            // 
            this.ilDocking.ImageStream = ( (System.Windows.Forms.ImageListStreamer)( resources.GetObject( "ilDocking.ImageStream" ) ) );
            this.ilDocking.TransparentColor = System.Drawing.Color.Transparent;
            this.ilDocking.Images.SetKeyName( 0, "" );
            this.ilDocking.Images.SetKeyName( 1, "" );
            this.ilDocking.Images.SetKeyName( 2, "" );
            this.ilDocking.Images.SetKeyName( 3, "" );
            this.ilDocking.Images.SetKeyName( 4, "" );
            this.ilDocking.Images.SetKeyName( 5, "" );
            this.ilDocking.Images.SetKeyName( 6, "" );
            this.ilDocking.Images.SetKeyName( 7, "" );
            // 
            // menuStrip1
            // 
            this.menuStrip1.Items.AddRange( new System.Windows.Forms.ToolStripItem[] {
            this.saveLayoutToolStripMenuItem,
            this.restoreLayoutToolStripMenuItem} );
            this.menuStrip1.Location = new System.Drawing.Point( 0, 0 );
            this.menuStrip1.Name = "menuStrip1";
            this.menuStrip1.Size = new System.Drawing.Size( 813, 24 );
            this.menuStrip1.TabIndex = 4;
            this.menuStrip1.Text = "menuStrip1";
            // 
            // saveLayoutToolStripMenuItem
            // 
            this.saveLayoutToolStripMenuItem.Name = "saveLayoutToolStripMenuItem";
            this.saveLayoutToolStripMenuItem.Size = new System.Drawing.Size( 79, 20 );
            this.saveLayoutToolStripMenuItem.Text = "Save Layout";
            this.saveLayoutToolStripMenuItem.Click += new System.EventHandler( this.saveLayoutToolStripMenuItem_Click );
            // 
            // restoreLayoutToolStripMenuItem
            // 
            this.restoreLayoutToolStripMenuItem.Name = "restoreLayoutToolStripMenuItem";
            this.restoreLayoutToolStripMenuItem.Size = new System.Drawing.Size( 93, 20 );
            this.restoreLayoutToolStripMenuItem.Text = "Restore Layout";
            this.restoreLayoutToolStripMenuItem.Click += new System.EventHandler( this.restoreLayoutToolStripMenuItem_Click );
            // 
            // Form1
            // 
            this.AutoScaleBaseSize = new System.Drawing.Size( 5, 13 );
            this.BackColor = System.Drawing.Color.FromArgb( ( (int)( ( (byte)( 237 ) ) ) ), ( (int)( ( (byte)( 240 ) ) ) ), ( (int)( ( (byte)( 246 ) ) ) ) );
            this.ClientSize = new System.Drawing.Size( 813, 446 );
            this.Controls.Add( this.menuStrip1 );
            this.Icon = ( (System.Drawing.Icon)( resources.GetObject( "$this.Icon" ) ) );
            this.MainMenuStrip = this.menuStrip1;
            this.MaximizeBox = false;
            this.Name = "Form1";
            this.StartPosition = System.Windows.Forms.FormStartPosition.CenterScreen;
            this.Text = "Simple Code";
            this.menuStrip1.ResumeLayout( false );
            this.menuStrip1.PerformLayout( );
            this.ResumeLayout( false );
            this.PerformLayout( );

		}
		#endregion

		
		// <samplecodeblock name="DockingWindows">
		// The method demonstrates how to programmatically initialize and set the docking windows layout.
		private void InitializeDockingWindows()
		{
			// Create the DockingManager instance and set this form as the host form.
            DockingManager.AnimationStep = 5;

            dockingManager1 = new Syncfusion.Windows.Forms.Tools.DockingManager( );
            //dockingManager1.BeginInit( );
            dockingManager1.EnableContextMenu = true;
            dockingManager1.ThemesEnabled = false;
            dockingManager1.DragProviderStyle = DragProviderStyle.VS2005;
            dockingManager1.PersistState = false;
            dockingManager1.DisallowFloating = true;
            dockingManager1.AutoHideInterval = 1;
            dockingManager1.PaintBorders = true;
            dockingManager1.HostForm = this;
            dockingManager1.ThemesEnabled = true;
            dockingManager1.VisualStyle = Syncfusion.Windows.Forms.VisualStyle.Office2003;
            dockingManager1.PersistState = false;
            dockingManager1.EnableContextMenu = true;
            dockingManager1.ImageList = this.ilDocking;
            dockingManager1.DockToFill = true;

            hostContainer = new HostContainer();
            this.dockingManager1.DockControl( hostContainer, this, Syncfusion.Windows.Forms.Tools.DockingStyle.Left, 200 );
            this.dockingManager1.SetDockLabel( hostContainer, "Host Container" );
            this.dockingManager1.SetDockIcon( hostContainer, 5 );

            testPanel1 = new TestPanel1( );
            this.dockingManager1.DockControl( testPanel1, this, Syncfusion.Windows.Forms.Tools.DockingStyle.Left, 200 );
            this.dockingManager1.SetDockLabel( testPanel1, "Test Panel 1" );
            this.dockingManager1.SetDockIcon( testPanel1, 2 );

            testPanel2 = new TestPanel2( );
            this.dockingManager1.DockControl( testPanel2, this, Syncfusion.Windows.Forms.Tools.DockingStyle.Left, 200 );
            this.dockingManager1.SetDockLabel( testPanel2, "Test Panel 2" );
            this.dockingManager1.SetDockIcon( testPanel2, 3 );

            //dockingManager1.EndInit( );

            dockingManager2 = new Syncfusion.Windows.Forms.Tools.DockingManager( );
            //dockingManager2.BeginInit( );
            dockingManager2.EnableContextMenu = true;
            dockingManager2.ThemesEnabled = false;
            dockingManager2.DragProviderStyle = DragProviderStyle.VS2005;
            dockingManager2.PersistState = false;
            dockingManager2.DisallowFloating = true;
            dockingManager2.AutoHideInterval = 1;
            dockingManager2.PaintBorders = true;
            dockingManager2.HostControl = hostContainer;
            //dockingManager2.HostForm = this;
            dockingManager2.ThemesEnabled = true;
            dockingManager2.VisualStyle = Syncfusion.Windows.Forms.VisualStyle.Office2003;
            dockingManager2.PersistState = false;
            dockingManager2.EnableContextMenu = true;
            dockingManager2.ImageList = this.ilDocking;
            dockingManager2.DockToFill = true;
           

            testPanel3 = new TestPanel3( );
            this.dockingManager2.DockControl( testPanel3, hostContainer, Syncfusion.Windows.Forms.Tools.DockingStyle.Left, 150 );
            this.dockingManager2.SetDockLabel( testPanel3, "Test Panel 3" );
            this.dockingManager2.SetDockIcon( testPanel3, 3 );

            testPanel4 = new TestPanel4( );
            this.dockingManager2.DockControl( testPanel4, hostContainer, Syncfusion.Windows.Forms.Tools.DockingStyle.Right, 175 );
            this.dockingManager2.SetDockLabel( testPanel4, "Test Panel 4" );
            this.dockingManager2.SetDockIcon( testPanel4, 4 );
            //dockingManager2.EndInit( );

            saveLayoutToolStripMenuItem_Click(null, null);
        }

		/// <summary>
		/// The main entry point for the application.
		/// </summary>
		[STAThread]
		public static void Main() 
		{
			Application.Run(new Form1());
		}

        private void saveLayoutToolStripMenuItem_Click( object sender, EventArgs e )
        {
            // Save docking state of docking manager 1
            AppStateSerializer serializer = new AppStateSerializer( SerializeMode.XMLFile, "DockingStateTest1.txt" );
            dockingManager1.SaveDockState( serializer );
            serializer.PersistNow( );

            // Save docking state of docking manager 2
            serializer = new AppStateSerializer( SerializeMode.XMLFile, "DockingStateTest2.txt" );
            dockingManager2.SaveDockState( serializer );
            serializer.PersistNow( );
        }

        private void restoreLayoutToolStripMenuItem_Click( object sender, EventArgs e )
        {
            // Restore docking manager 1
            AppStateSerializer serializer = new AppStateSerializer( SerializeMode.XMLFile, "DockingStateTest1.txt" );
            if( !dockingManager1.LoadDockState( serializer ) )
                MessageBox.Show( "LoadDocState failed for docking manager 1" );

            // Restore docking manager 2
            serializer = new AppStateSerializer( SerializeMode.XMLFile, "DockingStateTest2.txt" );
            if( !dockingManager2.LoadDockState( serializer ) )
                MessageBox.Show( "LoadDocState failed for docking manager 2" );
        }
	    
	}
}
